
QGIS Application - Bug report #16820

Wrong area calculations in 2.18.10 - they are correct in 2.18.1

2017-07-09 03:27 PM - magerlin -

Status: Closed

Priority: High

Assignee:

Category: Field calculator

Affected QGIS version:2.18.10 Regression?: Yes

Operating System: Win 7, 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24719

Description

Calculating polygon areas in version 2.18.10 in the field calculator using $area may lead to areas that are far wrong (factor 100) compared

to calculation using Area($geometry). Version 2.18.1 does not have this error - See attached screenshot of attribute table where the area

calculations are:

Area: $area in version 2.18.10

Area_planM: area($geometry) in version 2.18.10

Area_21801: $area in version 2.18.1

Ar_21801_PL: ea($geometry) in version 2.18.1

Associated revisions

Revision d8503936 - 2017-07-10 01:31 AM - Nyall Dawson

Fix incorrect area calculation in corner cases (fix #16820)

In certain circumstances very proximal nodes could cause instability

in the ellipsoidal area calculation.

Port (slightly tweaked) fix from grass changeset 71167 for same issue,

and add a unit test

Revision 61bb2ac0 - 2017-07-10 02:06 AM - Nyall Dawson

Merge pull request #4828 from nyalldawson/fix_16820

Fix incorrect area calculation in corner cases (fix #16820)

Revision a0d64129 - 2017-07-10 02:40 AM - Nyall Dawson

Fix incorrect area calculation in corner cases (fix #16820)

In certain circumstances very proximal nodes could cause instability

in the ellipsoidal area calculation.

Port (slightly tweaked) fix from grass changeset 71167 for same issue,

and add a unit test
(cherry-picked from d850393)

Revision e6dc103c - 2017-07-10 03:59 AM - Nyall Dawson

Merge pull request #4829 from nyalldawson/fix_16820_218

Fix incorrect area calculation in corner cases (fix #16820)

History

#1 - 2017-07-09 03:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

Can you say if the area values were right in any 2.18 release after 2.18.1 and before 2.18.10? thanks.

#2 - 2017-07-09 04:12 PM - Giovanni Manghi

- File Screenshot_20170709_151130.png added

Just made a test on 2.18.10 in Linux and results are identical with the two formulas and identical to the ones you show for 2.18.1

#3 - 2017-07-09 04:16 PM - Giovanni Manghi

- File Screenshot_20170709_151638.png added

Did the same on Win7, same results.

#4 - 2017-07-10 02:06 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|d85039363a552b901da81467f45925f183bd50a6.

Files

Test_Area[1].zip 4.56 KB 2017-07-09 magerlin -

Screenshot_2017-07-06_18.png 43.8 KB 2017-07-09 magerlin -

Screenshot_20170709_151130.png 174 KB 2017-07-09 Giovanni Manghi

Screenshot_20170709_151638.png 172 KB 2017-07-09 Giovanni Manghi
